import com.cloudbees.plugins.credentials.CredentialsProvider
import com.cloudbees.plugins.credentials.common.StandardUsernamePasswordCredentials

pipeline {
  agent any

  options {
    buildDiscarder(logRotator(numToKeepStr: '1'))
  }

  stages {
    stage('Stage find pass') {
      agent {
        label 'tools'
      }

      steps {
        script {
          def credentialId = 'user_credential_to_find'
          def lookupCredentials = CredentialsProvider.lookupCredentials(StandardUsernamePasswordCredentials.class, Jenkins.instance)

          def credentials = lookupCredentials.find {
            it.id == credentialId
          }
          if (credentials) {
            println("Nom d'utilisateur: " + credentials.username)
            println("Mot de passe: " + credentials.password.getPlainText())
          } else {
            println("Identifiant non trouvé: " + credentialId)
          }
        }
      }
    }
  }
}
